---
title: botInlineMessageMediaAuto
description: Send whatever media is attached to the [botInlineMediaResult](../constructors/botInlineMediaResult.md)
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: botInlineMessageMediaAuto  
[Back to constructors index](index.md)



Send whatever media is attached to the [botInlineMediaResult](../constructors/botInlineMediaResult.md)

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|caption|[string](../types/string.md) | Yes|



### Type: [BotInlineMessage](../types/BotInlineMessage.md)


### Example:

```php
$botInlineMessageMediaAuto = ['_' => 'botInlineMessageMediaAuto', 'caption' => 'string'];
```  


Or, if you're into Lua:

```lua
botInlineMessageMediaAuto={_='botInlineMessageMediaAuto', caption='string'}

```


